%  demo1.m  - postprocess demo1 (and demo2)

% Columns of demo_out.1:
%  1  2   3    4  5 6  7 8   9   10  11  12
%  xi T fevals H2 H O2 O OH HO2 H2O2 H2O N2
load demo_out.1;   % extensions .1 and .2 for demo1 and demo2
f  = demo_out;
xi = f(:,1);

figure(1)
subplot(2,2,1)
plot( xi, f(:,2) )
xlabel('\xi')
ylabel('T (K)')

subplot(2,2,2)
semilogy( xi, f(:,4), xi, f(:,6), xi, f(:,11) )
xlabel('\xi')
ylabel('mole fraction')
ylim([1e-6 1])
legend('H_2','O_2','H_2O',4)

subplot(2,2,3)
semilogy( xi, f(:,5), xi, f(:,7:10) )
xlabel('\xi')
ylabel('mole fraction')
ylim([1e-10 1e-2])
legend('H','O','OH','HO_2','H_2O_2',1)

subplot(2,2,4)
plot( xi, f(:,3), '.' )
xlabel('\xi')
ylabel('func. evals.')

